commit:     c26f2a2ef5de53b65d8567cce755828d3cbbca7b
Author:     Marek Szuba <marecki <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 24 22:25:41 2021 +0000
Commit:     Marek Szuba <marecki <AT> gentoo <DOT> org>
CommitDate: Sat Jul 24 23:02:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c26f2a2e

app-forensics/zzuf: update EAPI 7 -> 8, add multilib support

Also drop USE=static-libs, installing static versions of libraries
whose primary purpose is to be preloaded is rather pointless.

Closes: https://bugs.gentoo.org/546796
Signed-off-by: Marek Szuba <marecki <AT> gentoo.org>

 app-forensics/zzuf/zzuf-0.15-r2.ebuild | 30 ++++++++++++++++++++++++++++++
 1 file changed, 30 insertions(+)

diff --git a/app-forensics/zzuf/zzuf-0.15-r2.ebuild 
b/app-forensics/zzuf/zzuf-0.15-r2.ebuild
new file mode 100644
index 00000000000..8e8009ec5c5
--- /dev/null
+++ b/app-forensics/zzuf/zzuf-0.15-r2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit multilib-minimal
+
+DESCRIPTION="Transparent application input fuzzer"
+HOMEPAGE="http://caca.zoy.org/wiki/zzuf";
+SRC_URI="https://github.com/samhocevar/zzuf/releases/download/v${PV}/${P}.tar.bz2";
+
+LICENSE="WTFPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~sparc ~x86"
+
+# Uses dlopen hack to hijack many libc functions.
+# Fails 2 tests with sandbox enabled: check-zzuf-A-autoinc check-utils
+RESTRICT="test"
+
+DOCS=( AUTHORS COPYING TODO )
+
+multilib_src_configure() {
+       ECONF_SOURCE="${S}" econf
+}
+
+multilib_src_install_all() {
+       default
+
+       find "${ED}" -name '*.la' -delete || die
+}

Reply via email to